Package com.arms.api.requirement.reqadd.service

## Interface ReqAdd

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `ReqAddImpl`

      public interface ReqAdd
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReqAddEntity` | `addReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `ReqAddDetailDTO` | `getDetail​(FollowReqLinkDTO followReqLinkDTO, java.lang.String changeReqTableName)` |
    `java.util.List<요구사항_담당자>` | `getRequirementAssignee​(RequirementDTO requirementDTO)` |
    `ReqAddEntity` | `moveReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName, javax.servlet.http.HttpServletRequest request)` |
    `int` | `removeReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName, javax.servlet.http.HttpServletRequest request)` |
    `java.lang.Integer` | `updateDataBase​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `java.lang.Integer` | `updateReqNode​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `void` | `상태삭제_후_전체_요구사항_상태변경​(java.lang.Long 변경_전_상태아이디, java.lang.Long 변경_후_상태아이디)` |
    `void` | `요구사항_삭제_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName, ReqAddEntity savedReqAddEntity, ReqAddVO reqAddVO)` |
    `void` | `요구사항_상태_디비_업데이트​(ReqAddEntity reqAddEntity, java.lang.String changeReqTableName)` |
    `java.util.List<ReqAddPureEntity>` | `요구사항_상태변경​(java.lang.Long 변경_전_상태아이디, java.lang.Long 변경할_상태아이디)` |
    `void` | `요구사항_생성_이후_상태정보_처리_프로세스​(ReqAddEntity savedReqAddEntity)` |
    `void` | `요구사항_수정_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName, ReqAddEntity savedReqAddEntity, ReqAddVO reqAddVO)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### addReqNode

          ReqAddEntity addReqNode​(ReqAddEntity reqAddEntity,
                                  java.lang.String changeReqTableName)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### moveReqNode

          ReqAddEntity moveReqNode​(ReqAddEntity reqAddEntity,
                                   java.lang.String changeReqTableName,
                                   javax.servlet.http.HttpServletRequest request)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeReqNode

          int removeReqNode​(ReqAddEntity reqAddEntity,
                            java.lang.String changeReqTableName,
                            javax.servlet.http.HttpServletRequest request)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqNode

          java.lang.Integer updateReqNode​(ReqAddEntity reqAddEntity,
                                          java.lang.String changeReqTableName)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateDataBase

          java.lang.Integer updateDataBase​(ReqAddEntity reqAddEntity,
                                           java.lang.String changeReqTableName)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDetail

          ReqAddDetailDTO getDetail​(FollowReqLinkDTO followReqLinkDTO,
                                    java.lang.String changeReqTableName)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRequirementAssignee

          java.util.List<요구사항_담당자> getRequirementAssignee​(RequirementDTO requirementDTO)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_생성_이후_상태정보_처리_프로세스

          void 요구사항_생성_이후_상태정보_처리_프로세스​(ReqAddEntity savedReqAddEntity)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_수정_이후_상태정보_처리_프로세스

          void 요구사항_수정_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName,
                                       ReqAddEntity savedReqAddEntity,
                                       ReqAddVO reqAddVO)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_삭제_이후_상태정보_처리_프로세스

          void 요구사항_삭제_이후_상태정보_처리_프로세스​(java.lang.String changeReqTableName,
                                       ReqAddEntity savedReqAddEntity,
                                       ReqAddVO reqAddVO)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_상태_디비_업데이트

          void 요구사항_상태_디비_업데이트​(ReqAddEntity reqAddEntity,
                               java.lang.String changeReqTableName)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 상태삭제_후_전체_요구사항_상태변경

          void 상태삭제_후_전체_요구사항_상태변경​(java.lang.Long 변경_전_상태아이디,
                                   java.lang.Long 변경_후_상태아이디)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_상태변경

          java.util.List<ReqAddPureEntity> 요구사항_상태변경​(java.lang.Long 변경_전_상태아이디,
                                                     java.lang.Long 변경할_상태아이디)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`